## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         gourmand
%global         forgeurl        https://github.com/GourmandRecipeManager/gourmand
%global         srcversion      1.1.0rc3
Version:        1.1.0~rc3

Name:           gourmand
Release:        %autorelease
Summary:        Desktop cooking recipe manager

License:        GPL-2.0-only
URL:            %{forgeurl}
Source:         %{forgeurl}/archive/%{srcversion}/%{srcname}-%{srcversion}.tar.gz
Patch:          gdk_cursor.patch
Patch:          toml.patch

BuildRequires:  cairo-devel
BuildRequires:  cairo-gobject-devel
BuildRequires:  desktop-file-utils
BuildRequires:  enchant
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  hspell-devel
BuildRequires:  libappstream-glib
BuildRequires:  libvoikko-devel
BuildRequires:  nuspell-devel
BuildRequires:  poppler-devel
BuildRequires:  poppler-glib-devel
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-cairo-devel
BuildRequires:  python3-databases+sqlite
BuildRequires:  python3-dogtail
BuildRequires:  python3-devel
BuildRequires:  python3-ebooklib
BuildRequires:  python3-enchant
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-gstreamer1
BuildRequires:  python3-keyring
BuildRequires:  python3-libvoikko
BuildRequires:  python3-lxml
BuildRequires:  python3-pip
BuildRequires:  python3-pillow
BuildRequires:  python3-recipe-scrapers
BuildRequires:  python3-requests
BuildRequires:  python3-reportlab
BuildRequires:  python3-scrape-schema-recipe
BuildRequires:  python3-selenium
BuildRequires:  python3-setuptools
BuildRequires:  python3-sqlalchemy
BuildRequires:  python3-testresources
BuildRequires:  python3-tomli-w
BuildRequires:  python3-pygtkspellcheck
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-xdist
BuildRequires:  python3-pytest-xvfb
BuildRequires:  python3-wheel
BuildRequires:  xorg-x11-server-Xvfb

Requires:      python3-beautifulsoup4
Requires:      python3-databases+sqlite 
Requires:      python3-keyring
Requires:      python3-pygtkspellcheck
Requires:      python3-recipe-scrapers
Requires:      python3-scrape-schema-recipe
Requires:      python3-setuptools
Requires:      python3-tomli_w
Requires:      hicolor-icon-theme

BuildArch:     noarch

%global _description %{expand:
A recipe manager for desktop with the possibilities to import, organize, and
tweak recipes.

Gourmand is a fork of the Gourmet Recipe Manager: a manager, editor, and
organizer for recipes.}

%description %_description


%prep
%autosetup -n %{srcname}-%{srcversion} -p 1
# scrape_me has been replaced by scrape_html
# https://github.com/hhursev/recipe-scrapers/commit/068968997b05e80ee4d8ab62cea2dc314f8db2e7
sed -i 's/scrape_me(url)/scrape_html(html,org_url=url)/g' \
    src/gourmand/importers/web_importer.py
sed -i 's/scrape_me/scrape_html/g' \
    src/gourmand/importers/web_importer.py

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}
# Shebang fixes
%py3_shebang_fix %{buildroot}%{python3_sitelib}/gourmand/exporters/recipe_emailer.py
%py3_shebang_fix %{buildroot}%{python3_sitelib}/gourmand/gtk_extras/optionTable.py
%py3_shebang_fix %{buildroot}%{python3_sitelib}/gourmand/shopgui.py

%check
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_reccard.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_prefs.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_pdf_exporter.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_pango_html.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_nutritional_information.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_interactive_importer.py
# Test fails due to missing plugins
# tests/test_imports_from_files.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_importer.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_image_utils.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_exportManager.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_db.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_convert.py
%{py3_test_envvars}  LANGUAGE=de_DE.utf-8 xvfb-run -a pytest tests/test_clipboard_exporter.py

desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/io.github.GourmandRecipeManager.Gourmand.desktop
appstream-util validate-relax --nonet \
     %{buildroot}%{_metainfodir}/io.github.GourmandRecipeManager.Gourmand.appdata.xml


%files -f %{pyproject_files}
%doc README.md
%{_bindir}/gourmand
%{_datadir}/applications/io.github.GourmandRecipeManager.Gourmand.desktop
%{_metainfodir}/io.github.GourmandRecipeManager.Gourmand.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*.svg

%changelog
## START: Generated by rpmautospec
* Thu Nov 14 2024 John Doe <packager@example.com> - 1.1.0~rc3-1
- Uncommitted changes
## END: Generated by rpmautospec
